@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:ital@0;1&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --body: #ede9fe;
  --purple: #a78bfa;
  --purple-1: #c4b5fd;
  --light-purple: #ddd6fe;
  --fontcolor: #000;
}

body {
  font-family: "Playfair Display", serif;
  background-color: var(--body);
}

/* Navbar */
.nav {
  position: sticky;
  top: 0rem;
}

.nav-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 3rem;
  color: var(--fontcolor);
  background-color: var(--light-purple);
}

.brand-name {
  font-size: large;
  font-weight: 300;
}

.logo {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.logo img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.list {
  display: flex;
  margin-right: 30rem;
}

.list li {
  padding: 0.3rem;
  list-style: none;
  border-radius: 0.5rem;
  margin: 1rem 1rem;
  cursor: pointer;
  color: var(--fontcolor);
}

.list li a
{
    text-decoration: none;
    color: var(--fontcolor);
}

.list li:hover {
  padding: 0.5rem;
  background-color: var(--purple-1);
  border-radius: 0.5rem;
}

/*home*/

.home {
  width: 40rem;
  padding: 10rem;
  text-align: center;
  margin: auto;
}

.home p {
  margin: 1rem 0;
  color: var(--fontcolor);
}

.home-btn {
  padding: 1rem;
  border-radius: 1rem;
  border: 2px solid black;
  background-color: var(--purple-1);
  cursor: pointer;
}

.home-btn:hover {
  background-color: var(--light-purple);
}

/*footer*/

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  margin-top: 2rem;
  padding: 2.5rem;
  background-color: var(--light-purple);
  text-align: center;
  padding: 3rem;
}

.footer .header {
  margin: auto;
  text-align: center;
}

.footer-social-links {
  font-size: 30px;
  text-align: center;
}

.footer-social-links a {
  width: 50px;
  height: 50px;
  line-height: 25px !important;
  position: relative;
  margin: 0 5px;
  text-align: center;
  display: inline-block;
  color: #111;
  transition: all 0.27s cubic-bezier(0.3, 0.1, 0.58, 1);
}

.footer-social-links a:hover {
  color: var(--purple);
}

.footer-social-links a:hover:before {
  background: #111;
}
.footer-social-links a i,
.footer-social-links a span {
  position: relative;
  top: 2px;
  left: 1px;
}



@media(max-width: 998px)
{
    html{
        font-size: 55%;
    }
}


@media(max-width: 768px)
{
    html{
        font-size: 45%;
    }
}